%define anolis_release 2
%bcond_with tests
%global _python_bytecompile_errors_terminate_build 0

Name:           bash-completion
Epoch:          1
Version:        2.11
Release:        %{anolis_release}%{?dist}
Summary:        Programmable completion functions for bash
License:        GPLv2+
URL:            https://github.com/scop/bash-completion
Source0:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  make automake
%if %{with tests}
BuildRequires:  tcllib screen dejagnu
%endif

Requires:       bash >= 4.1

%description
bash-completion is a collection of command line command completions 
for the Bash shell, collection of helper functions to assist in creating 
new completions, and set of facilities for loading completions 
automatically on demand, as well as installing them.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure
%make_build

%install
%make_install

rm %{buildroot}%{_datadir}/bash-completion/completions/prelink
rm %{buildroot}%{_datadir}/bash-completion/completions/makepkg
rm %{buildroot}%{_datadir}/bash-completion/completions/{cowsay,cowthink}

%check
export LANG=C.UTF-8
%if %{with tests}
tmpfile=$(mktemp)
screen -D -m sh -c '( make check ; echo $? ) >'$tmpfile
cat $tmpfile
result=$(tail -n 1 $tmpfile)
rm -f $tmpfile
exit $result
%else
make -C completions check
%endif

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/profile.d/bash_completion.sh
%{_datadir}/pkgconfig/bash-completion.pc
%{_datadir}/bash-completion/*
%{_datadir}/cmake/*

%files doc
%doc AUTHORS CHANGES CONTRIBUTING.md README.md
%doc doc/bash_completion.txt

%changelog
* Wed Apr 12 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1:2.11-2
- optimise spec file

* Wed Jan 18 2023 Funda Wang <fundawang@yeah.net> - 1:2.11-1
- Import package for anolis 23
